"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addJest = void 0;
const fs_1 = require("fs");
const jest_1 = require("../template/jest");
const utils_1 = require("../utils");
const addJest = () => {
    (0, utils_1.pushDeps)(undefined, `babel-jest`, `ts-jest`, `jest`, `@types/jest`);
    (0, fs_1.mkdirSync)(`config/jest`, { recursive: true });
    (0, utils_1.writeFileSafe)(`config/jest/cssTransform.js`, jest_1.cssTransform);
    (0, utils_1.writeFileSafe)(`config/jest/fileTransform.js`, jest_1.fileTransform);
    (0, utils_1.writeFileSafe)(`jest.config.js`, jest_1.jestTmpl);
    (0, utils_1.writeFileSafe)(`config/jest/setup.js`, jest_1.setupTmpl);
    (0, utils_1.writePackageJson)({
        scripts: {
            test: "jest"
        }
    });
};
exports.addJest = addJest;
