"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addSentry = void 0;
const utils_1 = require("../utils");
const chalk_1 = __importDefault(require("chalk"));
const fs_1 = require("fs");
const sentry_1 = require("../template/sentry");
const addSentry = () => {
    if ((0, utils_1.isExist)(`.sentryclirc`)) {
        console.log(chalk_1.default.bgGreen(`有关 sentry配置文件 已存在，如有必要请需自行修改`));
    }
    else {
        (0, utils_1.exec)(`yarn add @sentry/react @sentry/tracing @sentry/rrweb`);
        (0, utils_1.exec)(`yarn add @sentry/webpack-plugin -D`);
        (0, utils_1.exec)(`yarn add clean-webpack-plugin -D`);
        (0, utils_1.writeFileSafe)(`.sentryclirc`, sentry_1.sentryclirc);
    }
    //查找到app.ts的入口文件之后将文件插入
    if ((0, utils_1.isExist)(`app.ts`)) {
        //读取出文件中所有的内容并且按照换行符切割,修改之后再拼接回去
        const allData = (0, fs_1.readFileSync)(`src/app.ts`, "utf-8").split(/\r\n|\n|\r/gm);
        for (let index = 0; index < allData.length; index++) {
            const element = allData[index];
            if (!element.includes("import")) {
                allData[index] = sentry_1.sentryAppTitle + sentry_1.sentryAppContext + element;
                break;
            }
        }
        (0, utils_1.writeFile)(`src/app.ts`, allData.join(`\r\n`));
    }
    else {
        (0, utils_1.writeFileSafe)(`src/app.ts`, sentry_1.sentryAppTitle + sentry_1.sentryAppContext);
    }
    //查找到umi的配置文件进行处理 可以为.umirc或者umi中引出的defineConfig配置
    if ((0, utils_1.isExist)(`.umirc.ts`)) {
        const allLen = [true, false, true];
        //读取出文件中所有的内容并且按照换行符切割,修改之后再拼接回去
        const allData = (0, fs_1.readFileSync)(`.umirc.ts`, "utf-8").split(/\r\n|\n|\r/gm);
        console.log("allData", allData);
        for (let index = 0; index < allData.length; index++) {
            const element = allData[index];
            if (!element.includes("import") && allLen[0]) {
                allData[index] = sentry_1.sentryWebpackTitle + element;
                allLen[0] = false;
            }
            //FIXME 暂时取消对devtool的单独判断逻辑改为chainwebpack中做
            // if (element.includes("devtool") && allLen[1]) {
            //   allData[index] = sentryWebpackDevtool;
            //   allLen[1] = false;
            // }
            if (element.includes("chainWebpack")) {
                console.log(chalk_1.default.bgGreen(`请将以下配置加入chainWebpack中\n${sentry_1.sentryWebpackContext}`));
            }
            //FIXME 怎么找到chainWebpack里准确的位置？？？？目前选择直接在defineConfig之后插入
            if (!element.includes("chainWebpack") && allLen[2]) {
                //TODO寻找到chainWebpack合适的位置进行数据插入
                allData[allData.indexOf(allData.filter((el) => el.includes("export default defineConfig({"))[0])] = `export default defineConfig({\n${sentry_1.sentryWebpackContext}`;
                allLen[2] = false;
            }
            if (!allLen.includes(true)) {
                break;
            }
        }
        (0, utils_1.writeFile)(`.umirc.ts`, allData.join(`\r\n`));
    }
    else {
        console.log(chalk_1.default.bgGreen(`目前配置仅支持umi框架，其他框架请自行配置webpack打包上传sourcemap配置`));
    }
};
exports.addSentry = addSentry;
