export declare const eslintConfigTmpl: {
    env: {
        browser: boolean;
        commonjs: boolean;
        es6: boolean;
    };
    globals: {
        module: boolean;
    };
    parserOptions: {
        ecmaVersion: number;
        sourceType: string;
    };
    rules: {};
};
export declare const eslintRules: {
    /** 不允许多行空白 */
    "no-multiple-empty-lines": (string | {
        max: number;
    })[];
    /** 缩进空格2 */
    indent: (string | number | {
        SwitchCase: number;
    })[];
    /** 尾逗号 */
    "comma-dangle": string[];
    /** 函数参数 */
    "function-paren-newline": string[];
    /** 禁止属性前有空白 */
    "no-whitespace-before-property": string[];
    /** 要求操作符周围有空格 */
    "space-infix-ops": string[];
    /** 强制在一元操作符前后使用一致的空格 */
    "space-unary-ops": string[];
    /** 强制剩余和扩展运算符及其表达式之间有空格 */
    "rest-spread-spacing": string[];
    /** 强制将对象的属性放在不同的行上 */
    "object-property-newline": (string | {
        allowAllPropertiesOnSameLine: boolean;
    })[];
    /** 禁止多个空格 */
    "no-multi-spaces": string[];
    /** 强制关键字周围空格的一致性 */
    "keyword-spacing": string[];
    /** 强制在花括号中使用一致的空格 */
    "object-curly-spacing": (string | {
        objectsInObjects: boolean;
    })[];
    /** 强制在块之前使用一致的空格 */
    "space-before-blocks": string;
    /** 强制在逗号周围使用空格 */
    "comma-spacing": string[];
    "@typescript-eslint/explicit-module-boundary-types": number;
    "@typescript-eslint/no-var-requires": number;
    "@typescript-eslint/no-explicit-any": number;
    "@typescript-eslint/no-irregular-whitespace": number;
};
