export declare const jenkinsFile = "\n// \u81EA\u5B9A\u4E49 \u9489\u9489\u63D2\u4EF6 \u7684 \u9519\u8BEF\u4FE1\u606F\u548C\u6210\u529F\u4FE1\u606F\ndef successText = [\n    \"\"\" ### \u65B0\u7684\u6784\u5EFA\u4FE1\u606F\uFF0C\u8BF7\u6CE8\u610F\u67E5\u6536\"\"\",\n    \"\"\" ${env.JOB_BASE_NAME}\u4EFB\u52A1\u6784\u5EFA<font color=green>\u6210\u529F</font> \uFF0C\u70B9\u51FB\u67E5\u770B[\u6784\u5EFA\u4EFB\u52A1 #${env.BUILD_NUMBER}](http://jenkins\u5730\u5740/job/${env.JOB_BASE_NAME}/${env.BUILD_NUMBER}/)\"\"\"\n]\ndef failureText = [\n    \"\"\" ### \u65B0\u7684\u6784\u5EFA\u4FE1\u606F\uFF0C\u8BF7\u6CE8\u610F\u67E5\u6536\"\"\",\n    \"\"\" ${env.JOB_BASE_NAME}\u4EFB\u52A1\u6784\u5EFA<font color=red>\u5931\u8D25</font> \uFF0C\u70B9\u51FB\u67E5\u770B[\u6784\u5EFA\u4EFB\u52A1 #${env.BUILD_NUMBER}](http://jenkins\u5730\u5740/job/${env.JOB_BASE_NAME}/${env.BUILD_NUMBER}/)\"\"\"\n]\ndef commitText = [\n    \"\"\" ### \u4EE3\u7801\u62C9\u53D6\u6210\u529F\"\"\",\n]\ndef buildText = [\n    \"\"\" ### \u4EE3\u7801\u6253\u5305\u6210\u529F\"\"\",\n]\n// 1\uFF0C\u4FA6\u542C github push \u4E8B\u4EF6\nproperties([pipelineTriggers([githubPush()])])\n\npipeline {\n    agent any\n    // \u73AF\u5883\u53D8\u91CF\u5B9A\u4E49\u3002\n    environment {\n        GIT_REPO = '\u4ED3\u5E93\u5730\u5740xxxx'\n        GIT_REPO_BRANCH = '*/\u5206\u652F\u540D'\n        SSH_SERVICE = 'jenkins\u914D\u7F6E\u670D\u52A1\u5668\u5730\u5740'\n    }\n    stages {\n        // 2\uFF0C\u62C9\u53D6 github \u4EE3\u7801\uFF0C\u901A\u8FC7 GitSCM \u4FA6\u542C push \u4E8B\u4EF6\u3002\n        stage('Pull code') {\n            steps {\n                checkout(\n                    [\n                        $class: 'GitSCM',\n                        branches: [[name: env.GIT_REPO_BRANCH]],\n                        doGenerateSubmoduleConfigurations: false,\n                        extensions: [[\n                            $class: 'SubmoduleOption',\n                            disableSubmodules: false,\n                            parentCredentials: true,\n                            recursiveSubmodules: true,\n                            reference: '',\n                            trackingSubmodules: false\n                        ]],\n                        submoduleCfg: [],\n                        userRemoteConfigs: [\n                            [\n                                credentialsId: 'chenmd_git_http_account',\n                                url: env.GIT_REPO\n                            ]\n                        ],\n                        changelog: true,\n                        poll: true,\n                    ]\n                )\n            }\n        }\n        stage('Commit Log') {\n          steps {\n            dingtalk (\n                robot: '\u9489\u9489\u673A\u5668\u4EBA',\n                type: 'ACTION_CARD',\n                title: 'Jenkins\u6784\u5EFA\u63D0\u9192',\n                text: commitText,\n                at: []\n            )\n          }  \n        }\n        stage('Install and build') {\n            steps {\n                nodejs('NodeJS14.17.5') {\n                    sh 'node -v'\n                    sh 'npm -v'\n                    sh 'npm install yarn -g'\n                    sh 'yarn config list'\n                    sh 'yarn install'\n                    sh 'yarn build'\n                }\n                dingtalk (\n                robot: '\u9489\u9489\u673A\u5668\u4EBA\u914D\u7F6E',\n                type: 'ACTION_CARD',\n                title: 'Jenkins\u6784\u5EFA\u63D0\u9192',\n                text: buildText,\n                at: []\n                )\n            }\n        }\n        stage('Pack') {\n            steps { \n                    sh 'tar -zcvf dist.tar -C ./dist/web .'\n            }\n        }\n        stage('Deploy') {\n            steps {\n                sshPublisher(\n                    publishers: [\n                        sshPublisherDesc(\n                            configName: env.SSH_SERVICE,\n                            transfers: [\n                                sshTransfer(\n                                    cleanRemote: false,\n                                    excludes: '',\n                                    execCommand: '''\n                                       rm -rf /usr/local/nginx/html/web/*\n                                       cd /root/usr/local/nginx\n                                       tar -xvf dist.tar -C /usr/local/nginx/html/web\n                                    ''',\n                                    execTimeout: 120000,\n                                    flatten: false,\n                                    makeEmptyDirs: false,\n                                    noDefaultExcludes: false,\n                                    patternSeparator: '[, ]+',\n                                    remoteDirectory: '/usr/local/nginx',\n                                    remoteDirectorySDF: false,\n                                    removePrefix: '',\n                                    sourceFiles: 'dist.tar'\n                                )\n                            ],\n                            usePromotionTimestamp: false,\n                            useWorkspaceInPromotion: false,\n                            verbose: false\n                        )\n                    ]\n                )\n            }\n        }\n    }\n    post {\n        success {\n            // 5\uFF0CDingTalk \u63D2\u4EF6\u7684\u4F7F\u7528\u3002\n            dingtalk (\n                robot: '\u9489\u9489\u673A\u5668\u4EBA',\n                type: 'ACTION_CARD',\n                title: 'Jenkins\u6784\u5EFA\u63D0\u9192',\n                text: successText,\n                btns: [\n                    [\n                        title: '\u63A7\u5236\u53F0',\n                        actionUrl: 'http://jenkins\u7684\u670D\u52A1\u5668\u5730\u5740/job/Web_DevDeployTask/'\n                    ],\n                    [\n                        title: '\u9879\u76EE\u9884\u89C8',\n                        actionUrl: 'http://\u9879\u76EE\u7684git\u5730\u5740'\n                    ],\n                ],\n                at: []\n            )\n        }\n        failure {\n            dingtalk(\n                robot: '\u9489\u9489\u673A\u5668\u4EBA',\n                type: 'ACTION_CARD',\n                title: 'Jenkins\u6784\u5EFA\u63D0\u9192',\n                text: failureText,\n                btns: [\n                    [\n                        title: '\u63A7\u5236\u53F0',\n                        actionUrl: 'http://jenkins\u7684\u670D\u52A1\u5668\u5730\u5740/job/Web_DevDeployTask/'\n                    ],\n                    [\n                        title: '\u63D0\u4EA4\u9884\u89C8',\n                        actionUrl: 'http://\u9879\u76EE\u7684git\u5730\u5740'\n                    ],\n                ],\n                at: []\n            )\n        }\n    }\n}\n";
