export declare const jestTmpl = "module.exports = {\n  // An array of regexp pattern strings that are matched against all source file paths, matched files will skip transformation\n  transformIgnorePatterns: ['node_modules'],\n\n  // Automatically clear mock calls and instances between every test\n  clearMocks: true,\n  // The directory where Jest should output its coverage files\n  coverageDirectory: 'coverage',\n\n  // An array of file extensions your modules use\n  moduleFileExtensions: ['js', 'json', 'jsx', 'ts', 'tsx', 'node', 'web.js'],\n\n  // A map from regular expressions to module names or to arrays of module names that allow to stub out resources with a single module\n  moduleNameMapper: {\n    '\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$':\n      \"<rootDir>/config/jest/fileTransform.js\",\n    '\\.(css|less)$': \"<rootDir>/config/jest/cssTransform.js\",\n    '@\\/(.*)$': '<rootDir>/src/$1',\n  },\n\n  // A preset that is used as a base for Jest's configuration\n  preset: 'ts-jest',\n\n  // The test environment that will be used for testing\n  testEnvironment: 'jsdom',\n  setupFiles: [\n    \"<rootDir>/config/jest/setup.js\"\n  ],\n  testPathIgnorePatterns: [\"scripts\"],\n  transform: {\n    \"^.+\\.(js|jsx)$\": \"<rootDir>/node_modules/babel-jest\",\n    \"^.+\\.(ts|tsx)$\": \"<rootDir>/node_modules/ts-jest\",\n    \"^.+\\.css$\": \"<rootDir>/config/jest/cssTransform.js\",\n    \"^(?!.*\\.(css|json)$)\": \"<rootDir>/config/jest/fileTransform.js\"\n  },\n}\n";
export declare const cssTransform = "\"use strict\";\n\n// This is a custom Jest transformer turning style imports into empty objects.\n// http://facebook.github.io/jest/docs/tutorial-webpack.html\n\nmodule.exports = {\n  process() {\n    return \"module.exports = {};\";\n  },\n  getCacheKey() {\n    // The output is always the same.\n    return \"cssTransform\";\n  },\n};\n";
export declare const fileTransform = "\"use strict\";\n\nconst path = require(\"path\");\n\n// This is a custom Jest transformer turning file imports into filenames.\n// http://facebook.github.io/jest/docs/tutorial-webpack.html\n\nmodule.exports = {\n  process(src, filename) {\n    return `module.exports = ${JSON.stringify(path.basename(filename))};`;\n  },\n};\n";
export declare const setupTmpl = "\n// jest.mock(\"app/utils\", () => {\n//   return {\n//     store: {}, // require(\"../src/app/utils/index\"),\n//     PicFilter: jest.fn(),\n//   };\n// });\n";
